package org.micord.models;

import jakarta.xml.bind.annotation.XmlElement;
import lombok.Setter;


@Setter
public class DownloadRequest extends BaseRequest {

	private SqlConnectionParams sqlConnectionParams;
	private String downloadRequestType;

	@XmlElement(name = "SqlConnectionParams")
	public SqlConnectionParams getSqlConnectionParams() {
		return sqlConnectionParams;
	}

	@XmlElement(name = "DownloadRequestType")
	public String getDownloadRequestType() {
		return downloadRequestType;
	}

}
